package madynes.flowoid.exporter;

import java.util.ArrayList;

public interface Exportable {

	public static class TemplateMismatchException extends Exception {
		private static final long serialVersionUID = 1L;
		private final String message;
		
		public TemplateMismatchException(String message) {
			this.message = message;
		}

		public String getMessage() {
			return message;
		}
	}
	
    public ArrayList<Byte> toBytes() throws TemplateMismatchException;
    public short getTotalLength();
}
